-- MySQL Script generated by MySQL Workbench
-- Mon Jun  26 04:51:40 2020
-- Model: New Model    Version: 1.0
-- MySQL Workbench Forward Engineering

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='ONLY_FULL_GROUP_BY,STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION';

-- -----------------------------------------------------
-- Schema mydb
-- -----------------------------------------------------
DROP SCHEMA IF EXISTS `mydb` ;

-- -----------------------------------------------------
-- Schema mydb
-- -----------------------------------------------------
CREATE SCHEMA IF NOT EXISTS `mydb` DEFAULT CHARACTER SET utf8 ;
USE `mydb` ;

-- -----------------------------------------------------
-- Table `mydb`.`Adjudicacion o Desierto`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `mydb`.`Adjudicacion o Desierto` ;

CREATE TABLE IF NOT EXISTS `mydb`.`Adjudicacion o Desierto` (
  `id` INT NOT NULL,
  `precio unitario ref` DOUBLE NULL,
  `precio unitario adjudicado` DOUBLE NULL,
  `cantidad adjudicada` INT NULL,
  `total adjudicado` DOUBLE NULL,
  `tipo` INT NULL,
  `Adjudicacion o Desiertocol` VARCHAR(45) NULL,
  PRIMARY KEY (`id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`Comision recepcion`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `mydb`.`Comision recepcion` ;

CREATE TABLE IF NOT EXISTS `mydb`.`Comision recepcion` (
  `id` INT NOT NULL,
  `ci` VARCHAR(45) NULL,
  `nombre completo` VARCHAR(45) NULL,
  `cargo de entidad` VARCHAR(45) NULL,
  `cargo en la comision` VARCHAR(45) NULL,
  `recepcion bienes obras servicios grals consultoria_id` INT NOT NULL,
  PRIMARY KEY (`id`, `recepcion bienes obras servicios grals consultoria_id`),
  INDEX `fk_Comision recepcion_recepcion bienes obras servicios gral_idx` (`recepcion bienes obras servicios grals consultoria_id` ASC) VISIBLE,
  CONSTRAINT `fk_Comision recepcion_recepcion bienes obras servicios grals 1`
    FOREIGN KEY (`recepcion bienes obras servicios grals consultoria_id`)
    REFERENCES `mydb`.`recepcion bienes obras servicios grals consultoria` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`Convocatoria`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `mydb`.`Convocatoria` ;

CREATE TABLE IF NOT EXISTS `mydb`.`Convocatoria` (
  `id` INT NOT NULL,
  `tipo de convocatoria` VARCHAR(45) NULL,
  `Forma de adjudicacion_id` INT NOT NULL,
  `normativa utlizada` INT NULL,
  `garantia utilizada` VARCHAR(45) NULL,
  `moneda_id` INT NOT NULL,
  `elaboracion de DBC` VARCHAR(45) NULL,
  `bienes o serv con recurrentes cargo siguiente gestion` VARCHAR(45) NULL,
  `DBC fecha` DATE NULL,
  `Convocatoria fecha` DATE NULL,
  `responsable publicacion` VARCHAR(45) NULL,
  `nombre resp envio inf` VARCHAR(45) NULL,
  `fecha publicacion de convocatoria` VARCHAR(45) NULL,
  `cargo reg envio inf` VARCHAR(45) NULL,
  `medio de envio` VARCHAR(45) NULL,
  `proceso de contratacion_id` INT NOT NULL,
  `proceso de contratacion_Datos Entidad_id` INT NOT NULL,
  PRIMARY KEY (`id`),
  INDEX `fk_Convocatoria_Forma de adjudicacion1_idx` (`Forma de adjudicacion_id` ASC) VISIBLE,
  INDEX `fk_Convocatoria_moneda1_idx` (`moneda_id` ASC) VISIBLE,
  INDEX `fk_Convocatoria_proceso de contratacion1_idx` (`proceso de contratacion_id` ASC, `proceso de contratacion_Datos Entidad_id` ASC) VISIBLE,
  CONSTRAINT `fk_Convocatoria_Forma de adjudicacion1`
    FOREIGN KEY (`Forma de adjudicacion_id`)
    REFERENCES `mydb`.`Forma de adjudicacion` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_Convocatoria_moneda1`
    FOREIGN KEY (`moneda_id`)
    REFERENCES `mydb`.`moneda` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_Convocatoria_proceso de contratacion1`
    FOREIGN KEY (`proceso de contratacion_id` , `proceso de contratacion_Datos Entidad_id`)
    REFERENCES `mydb`.`Proceso de contratacion` (`id` , `Datos Entidad_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`Cronograma de actividades`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `mydb`.`Cronograma de actividades` ;

CREATE TABLE IF NOT EXISTS `mydb`.`Cronograma de actividades` (
  `id` INT NOT NULL,
  `actividad` VARCHAR(45) NULL,
  `fecha` DATE NULL,
  `hora` VARCHAR(45) NULL,
  `lugar` VARCHAR(45) NULL,
  `Convocatoria_id` INT NOT NULL,
  PRIMARY KEY (`id`, `Convocatoria_id`),
  INDEX `fk_Cronograma de actividades_Convocatoria1_idx` (`Convocatoria_id` ASC) VISIBLE,
  CONSTRAINT `fk_Cronograma de actividades_Convocatoria1`
    FOREIGN KEY (`Convocatoria_id`)
    REFERENCES `mydb`.`Convocatoria` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`Datos Entidad`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `mydb`.`Datos Entidad` ;

CREATE TABLE IF NOT EXISTS `mydb`.`Datos Entidad` (
  `id` INT NOT NULL,
  `codigo de entidad` VARCHAR(45) NULL,
  `Denominacion de la entidad` VARCHAR(45) NULL,
  `fax` INT NULL,
  `telefono` INT NULL,
  PRIMARY KEY (`id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`Doc publicados`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `mydb`.`Doc publicados` ;

CREATE TABLE IF NOT EXISTS `mydb`.`Doc publicados` (
  `id` INT NOT NULL,
  `tipo de documento` VARCHAR(45) NULL,
  `fecha` DATE NULL,
  `responsable` VARCHAR(45) NULL,
  `recepcion bienes obras servicios grals consultoria_id` INT NOT NULL,
  PRIMARY KEY (`id`, `recepcion bienes obras servicios grals consultoria_id`),
  INDEX `fk_Doc publicados_recepcion bienes obras servicios grals co_idx` (`recepcion bienes obras servicios grals consultoria_id` ASC) VISIBLE,
  CONSTRAINT `fk_Doc publicados_recepcion bienes obras servicios grals cons1`
    FOREIGN KEY (`recepcion bienes obras servicios grals consultoria_id`)
    REFERENCES `mydb`.`recepcion bienes obras servicios grals consultoria` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`Forma de adjudicacion`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `mydb`.`Forma de adjudicacion` ;

CREATE TABLE IF NOT EXISTS `mydb`.`Forma de adjudicacion` (
  `id` INT NOT NULL,
  `nombre` VARCHAR(45) NULL,
  PRIMARY KEY (`id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`Organismo financiador`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `mydb`.`Organismo financiador` ;

CREATE TABLE IF NOT EXISTS `mydb`.`Organismo financiador` (
  `id` INT NOT NULL,
  `organizmo` VARCHAR(45) NULL,
  `porcentaje participacion` INT NULL,
  PRIMARY KEY (`id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`Personal Relacionado`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `mydb`.`Personal Relacionado` ;

CREATE TABLE IF NOT EXISTS `mydb`.`Personal Relacionado` (
  `id` INT NOT NULL,
  `tipo de personal` VARCHAR(45) NULL,
  `nombre` VARCHAR(45) NULL,
  `cargo` VARCHAR(45) NULL,
  `Convocatoria_id` INT NOT NULL,
  PRIMARY KEY (`id`, `Convocatoria_id`),
  INDEX `fk_Personal Relacionado_Convocatoria1_idx` (`Convocatoria_id` ASC) VISIBLE,
  CONSTRAINT `fk_Personal Relacionado_Convocatoria1`
    FOREIGN KEY (`Convocatoria_id`)
    REFERENCES `mydb`.`Convocatoria` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`Proceso de contratacion`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `mydb`.`Proceso de contratacion` ;

CREATE TABLE IF NOT EXISTS `mydb`.`Proceso de contratacion` (
  `id` INT NOT NULL,
  `CUCE` VARCHAR(45) NULL,
  `objeto de contratacion` VARCHAR(45) NULL,
  `modalidad de contratacion` VARCHAR(45) NULL,
  `tipo de contratacion` VARCHAR(45) NULL,
  `organizmo financiador_id` INT NOT NULL,
  `Datos Entidad_id` INT NOT NULL,
  PRIMARY KEY (`id`, `Datos Entidad_id`),
  INDEX `fk_proceso de contratacion_organizmo financiador1_idx` (`organizmo financiador_id` ASC) VISIBLE,
  INDEX `fk_proceso de contratacion_Datos Entidad1_idx` (`Datos Entidad_id` ASC) VISIBLE,
  CONSTRAINT `fk_proceso de contratacion_organizmo financiador1`
    FOREIGN KEY (`organizmo financiador_id`)
    REFERENCES `mydb`.`Organismo financiador` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_proceso de contratacion_Datos Entidad1`
    FOREIGN KEY (`Datos Entidad_id`)
    REFERENCES `mydb`.`Datos Entidad` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`Proyecto Actividad`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `mydb`.`Proyecto Actividad` ;

CREATE TABLE IF NOT EXISTS `mydb`.`Proyecto Actividad` (
  `id` INT NOT NULL,
  `tipo` VARCHAR(45) NULL,
  `entidad` VARCHAR(45) NULL,
  `dir Administrativa` VARCHAR(45) NULL,
  `proceso de contratacion_id` INT NOT NULL,
  PRIMARY KEY (`id`, `proceso de contratacion_id`),
  INDEX `fk_Proyecto Actividad_proceso de contratacion1_idx` (`proceso de contratacion_id` ASC) VISIBLE,
  CONSTRAINT `fk_Proyecto Actividad_proceso de contratacion1`
    FOREIGN KEY (`proceso de contratacion_id`)
    REFERENCES `mydb`.`Proceso de contratacion` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`dat grals contrato orden de compra u servicio`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `mydb`.`dat grals contrato orden de compra u servicio` ;

CREATE TABLE IF NOT EXISTS `mydb`.`dat grals contrato orden de compra u servicio` (
  `id` INT NOT NULL,
  `proponentes_id` INT NOT NULL,
  `proponentes_Convocatoria_id` INT NOT NULL,
  `nro Certif RUPE` INT NULL,
  `tipo doc contratacion` VARCHAR(45) NULL,
  `nro contrato u orden de servicio` VARCHAR(45) NULL,
  `fecha y firma` DATE NULL,
  `monto total` DOUBLE NULL,
  `resp a firmar contrato inst` VARCHAR(45) NULL,
  `fecha recepcion estimada` DATE NULL,
  PRIMARY KEY (`id`, `proponentes_id`, `proponentes_Convocatoria_id`),
  INDEX `fk_dat grals contrato, orden de compra u servicio_proponent_idx` (`proponentes_id` ASC, `proponentes_Convocatoria_id` ASC) VISIBLE,
  CONSTRAINT `fk_dat grals contrato, orden de compra u servicio_proponentes1`
    FOREIGN KEY (`proponentes_id` , `proponentes_Convocatoria_id`)
    REFERENCES `mydb`.`proponentes` (`id` , `Convocatoria_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`item_requerido`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `mydb`.`item_requerido` ;

CREATE TABLE IF NOT EXISTS `mydb`.`item_requerido` (
  `id` INT NOT NULL,
  `Codigo catalogo` VARCHAR(45) NULL,
  `objeto de gasto` VARCHAR(45) NULL,
  `descripccion` VARCHAR(45) NULL,
  `unidad` VARCHAR(45) NULL,
  `cantidad` INT NULL,
  `precio referencial unit` DOUBLE NULL,
  `lote` INT NULL,
  `numero` INT NULL,
  `Convocatoria_proceso de contratacion_id` INT NOT NULL,
  `precio ref total` VARCHAR(45) NULL,
  PRIMARY KEY (`id`, `Convocatoria_proceso de contratacion_id`),
  INDEX `fk_item_requerido_Convocatoria1_idx` (`Convocatoria_proceso de contratacion_id` ASC) VISIBLE,
  CONSTRAINT `fk_item_requerido_Convocatoria1`
    FOREIGN KEY (`Convocatoria_proceso de contratacion_id`)
    REFERENCES `mydb`.`Convocatoria` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`moneda`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `mydb`.`moneda` ;

CREATE TABLE IF NOT EXISTS `mydb`.`moneda` (
  `id` INT NOT NULL,
  `tipo` VARCHAR(45) NULL,
  PRIMARY KEY (`id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`montos adjudicados`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `mydb`.`montos adjudicados` ;

CREATE TABLE IF NOT EXISTS `mydb`.`montos adjudicados` (
  `id` INT NOT NULL,
  `mnto adjudicado` DOUBLE NULL,
  PRIMARY KEY (`id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`proponentes`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `mydb`.`proponentes` ;

CREATE TABLE IF NOT EXISTS `mydb`.`proponentes` (
  `id` INT NOT NULL,
  `origen` VARCHAR(45) NULL,
  `DIP_tipo documento` VARCHAR(45) NULL,
  `DIP_nro documento` INT NULL,
  `nombre o razon social del proponente` VARCHAR(45) NULL,
  `Adjudicacion_id` INT NOT NULL,
  `Convocatoria_id` INT NOT NULL,
  `margenes aplicados` VARCHAR(45) NULL,
  `tipo proponente` VARCHAR(45) NULL,
  `montos adjudicados_id` INT NOT NULL,
  `recepcion bienes obras servicios grals consultoria_id` INT NOT NULL,
  `proceso de contratacion_id` INT NOT NULL,
  `proceso de contratacion_Datos Entidad_id` INT NOT NULL,
  PRIMARY KEY (`id`, `Convocatoria_id`, `recepcion bienes obras servicios grals consultoria_id`),
  INDEX `fk_proponentes_Adjudicacion1_idx` (`Adjudicacion_id` ASC) VISIBLE,
  INDEX `fk_proponentes_Convocatoria1_idx` (`Convocatoria_id` ASC) VISIBLE,
  INDEX `fk_proponentes_montos adjudicados1_idx` (`montos adjudicados_id` ASC) VISIBLE,
  INDEX `fk_proponentes_recepcion bienes obras servicios grals consu_idx` (`recepcion bienes obras servicios grals consultoria_id` ASC) VISIBLE,
  INDEX `fk_proponentes_proceso de contratacion1_idx` (`proceso de contratacion_id` ASC, `proceso de contratacion_Datos Entidad_id` ASC) VISIBLE,
  CONSTRAINT `fk_proponentes_Adjudicacion1`
    FOREIGN KEY (`Adjudicacion_id`)
    REFERENCES `mydb`.`Adjudicacion o Desierto` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_proponentes_Convocatoria1`
    FOREIGN KEY (`Convocatoria_id`)
    REFERENCES `mydb`.`Convocatoria` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_proponentes_montos adjudicados1`
    FOREIGN KEY (`montos adjudicados_id`)
    REFERENCES `mydb`.`montos adjudicados` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_proponentes_recepcion bienes obras servicios grals consult1`
    FOREIGN KEY (`recepcion bienes obras servicios grals consultoria_id`)
    REFERENCES `mydb`.`recepcion bienes obras servicios grals consultoria` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_proponentes_proceso de contratacion1`
    FOREIGN KEY (`proceso de contratacion_id` , `proceso de contratacion_Datos Entidad_id`)
    REFERENCES `mydb`.`Proceso de contratacion` (`id` , `Datos Entidad_id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`recepcion bienes obras servicios grals consultoria`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `mydb`.`recepcion bienes obras servicios grals consultoria` ;

CREATE TABLE IF NOT EXISTS `mydb`.`recepcion bienes obras servicios grals consultoria` (
  `id` INT NOT NULL,
  `estado recepcion` VARCHAR(45) NULL,
  `cant solicitada` VARCHAR(45) NULL,
  `cant recep` VARCHAR(45) NULL,
  `est recepcion` VARCHAR(45) NULL,
  `fech recep contrato` DATE NULL,
  `fecha recep prov sujeta a verificacion` DATE NULL,
  `fecha recep defin emision informe conform` DATE NULL,
  `monto ejecutado` DOUBLE NULL,
  `responsable de brindar inf env de formulario_id` INT NOT NULL,
  PRIMARY KEY (`id`, `responsable de brindar inf env de formulario_id`),
  INDEX `fk_recepcion bienes obras servicios grals consultoria_respo_idx` (`responsable de brindar inf env de formulario_id` ASC) VISIBLE,
  CONSTRAINT `fk_recepcion bienes obras servicios grals consultoria_respons1`
    FOREIGN KEY (`responsable de brindar inf env de formulario_id`)
    REFERENCES `mydb`.`responsable de brindar inf env de formulario` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`responsable de brindar inf env de formulario`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `mydb`.`responsable de brindar inf env de formulario` ;

CREATE TABLE IF NOT EXISTS `mydb`.`responsable de brindar inf env de formulario` (
  `id` INT NOT NULL,
  `apellido pat` VARCHAR(45) NULL,
  `apellido mat` VARCHAR(45) NULL,
  `nombres` VARCHAR(45) NULL,
  `cargo en la entidad` VARCHAR(45) NULL,
  `fecha de envio form` VARCHAR(45) NULL,
  `medio de envio` VARCHAR(45) NULL,
  `responsable de brindar inf env de formulariocol` VARCHAR(45) NULL,
  PRIMARY KEY (`id`))
ENGINE = InnoDB;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
